For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
User GuideDeveloper GuidesAPI Reference
User GuideDeveloper GuidesAPI Reference
    • Overview
  • Runtype API
      • GETList integrations
      • POSTReserve a new integration
      • GETList integrations by category
      • GETGet integration credential status
      • POSTInstall Slack integration
      • POSTRotate Slack credentials
      • POSTInstall Telegram integration
      • GETCheck managed Telegram bot availability
      • POSTInitiate managed Telegram bot creation
      • POSTRotate managed Telegram bot token
      • DELCancel managed Telegram bot request
      • POSTConfirm managed Telegram bot rename
      • POSTReject managed Telegram bot rename
      • GETGet managed Telegram bot request status
      • GETList configured integration tools
      • GETList Vectorize configurations
      • POSTCreate Vectorize configuration
      • POSTCreate Vectorize index
      • POSTList Vectorize indexes
      • POSTTest new Vectorize configuration
      • GETGet Vectorize configuration
      • PUTUpdate Vectorize configuration
      • DELDelete Vectorize configuration
      • POSTTest saved Vectorize configuration
      • GETList Weaviate configurations
      • POSTCreate Weaviate configuration
      • POSTTest new Weaviate configuration
      • GETGet Weaviate configuration
      • PUTUpdate Weaviate configuration
      • DELDelete Weaviate configuration
      • POSTList Weaviate collections
      • POSTTest Weaviate connection
      • GETGet integration details
      • POSTSave integration credentials
      • DELDelete integration credentials
      • GETList tools for an integration
      • GETGet an integration tool
Dashboard
LogoLogo
Runtype APIIntegrations

List Weaviate configurations

GET
/v1/integrations/weaviate
GET
/v1/integrations/weaviate
$curl https://api.runtype.com/v1/integrations/weaviate \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json"
1{
2 "weaviateConfigs": [
3 {
4 "id": "a1b2c3d4-e5f6-7890-ab12-cd34ef567890",
5 "name": "Primary Weaviate Instance",
6 "url": "https://weaviate.example.com",
7 "headers": {
8 "Authorization": "Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9",
9 "X-Custom-Header": "IntegrationClient/1.0"
10 },
11 "settings": {
12 "defaultClass": "Document",
13 "generativeModule": "text2vec-transformers",
14 "vectorizer": "text2vec-contextionary"
15 }
16 }
17 ]
18}
Get all Weaviate configurations for the authenticated user.
Was this page helpful?
Previous

Create Weaviate configuration

Next
Built with

Authentication

AuthorizationBearer
API key or Clerk session token

Response

List of Weaviate configurations
weaviateConfigslist of objects

Errors

401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error